BaseExecSpec (Gradle API 2.14.1)

org.gradle.process

## Interface BaseExecSpec

- All Superinterfaces:
    ProcessForkOptions
  All Known Subinterfaces:
    ExecSpec, JavaExecSpec
  All Known Implementing Classes:
    AbstractExecTask, Exec, JavaExec, RhinoShellExec, RunTestExecutable

      public interface BaseExecSpec
      extends ProcessForkOptions

  Specifies options for launching a child process.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getCommandLine()` Returns the full command line, including the executable plus its arguments.
    `OutputStream` | `getErrorOutput()` Returns the output stream to consume standard error from the process executing the command.
    `InputStream` | `getStandardInput()` Returns the standard input stream for the process executing the command.
    `OutputStream` | `getStandardOutput()` Returns the output stream to consume standard output from the process executing the command.
    `boolean` | `isIgnoreExitValue()` Tells whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setErrorOutput(OutputStream outputStream)` Sets the output stream to consume standard error from the process executing the command.
    `BaseExecSpec` | `setIgnoreExitValue(boolean ignoreExitValue)` Sets whether a non-zero exit value is ignored, or an exception thrown.
    `BaseExecSpec` | `setStandardInput(InputStream inputStream)` Sets the standard input stream for the process executing the command.
    `BaseExecSpec` | `setStandardOutput(OutputStream outputStream)` Sets the output stream to consume standard output from the process executing the command.

    - ### Methods inherited from interface org.gradle.process.ProcessForkOptions

      `copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

- - ### Method Detail

    - #### setIgnoreExitValue

          BaseExecSpec setIgnoreExitValue(boolean ignoreExitValue)

      Sets whether a non-zero exit value is ignored, or an exception thrown.
      Parameters:
        `ignoreExitValue` - whether a non-zero exit value is ignored, or an exception thrown
      Returns:
        this

    - #### isIgnoreExitValue

          boolean isIgnoreExitValue()

      Tells whether a non-zero exit value is ignored, or an exception thrown. Defaults to `false`.
      Returns:
        whether a non-zero exit value is ignored, or an exception thrown

    - #### setStandardInput

          BaseExecSpec setStandardInput(InputStream inputStream)

      Sets the standard input stream for the process executing the command. The stream is closed after the process completes.
      Parameters:
        `inputStream` - The standard input stream for the process. Must not be null.
      Returns:
        this

    - #### getStandardInput

          InputStream getStandardInput()

      Returns the standard input stream for the process executing the command. The stream is closed after the process completes. Defaults to an empty stream.
      Returns:
        The standard input stream.

    - #### setStandardOutput

          BaseExecSpec setStandardOutput(OutputStream outputStream)

      Sets the output stream to consume standard output from the process executing the command. The stream is closed after the process completes.
      Parameters:
        `outputStream` - The standard output stream for the process. Must not be null.
      Returns:
        this

    - #### getStandardOutput

          OutputStream getStandardOutput()

      Returns the output stream to consume standard output from the process executing the command. Defaults to `System.out`.
      Returns:
        The output stream

    - #### setErrorOutput

          BaseExecSpec setErrorOutput(OutputStream outputStream)

      Sets the output stream to consume standard error from the process executing the command. The stream is closed after the process completes.
      Parameters:
        `outputStream` - The standard output error stream for the process. Must not be null.
      Returns:
        this

    - #### getErrorOutput

          OutputStream getErrorOutput()

      Returns the output stream to consume standard error from the process executing the command. Default to `System.err`.
      Returns:
        The error output stream.

    - #### getCommandLine

          List<String> getCommandLine()

      Returns the full command line, including the executable plus its arguments.
      Returns:
        The full command line, including the executable plus its arguments